Subject: Re: [PATCH] forcedeth: Additional ethtool support

From: Jeff Garzik <[email-masked]>
Date: Sun, 31 Jul 2005 00:51:04 -0400

Manfred Spraul wrote:
> Not for a nic without complete documentation: What if an arch uses 
> 64-bit reads to read two registers at the same time? Not all nics like 
> that, for example IIRC natsemi explicitely mandates 32-bit reads.
> x86-64 doesn't, it uses 32-bit reads, but I don't like the idea of using 
> memcpy to read registers.
> 
> I agree with your other remarks, updated patch attached.

Going through my pending folder, I was about to apply all the queued 
forcedeth patches.  However, in two cases, you violated Rule #6 of

	http://linux.yyz.us/patch-format.html

Please resend ALL forcedeth patches, with proper descriptions, so I 
don't have to hunt through previous patch versions, and previous emails, 
to match up the correct description to the correct patch.

	Jeff